<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__syspm__callback__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_syspm_callback_params_t</compoundname>
    <includes local="no">cy_syspm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__syspm__callback__params__t_1a56076e99358e2b7c99681312108b09af" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_syspm_callback_params_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
<para>Base address of a HW instance, matches name of the driver in the API for the base address. </para>        </briefdescription>
        <detaileddescription>
<para>Can be undefined if not required. Base address is not required for the SysPm driver as the device has only one set of power modes </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1736" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1736" />
      </memberdef>
      <memberdef id="structcy__stc__syspm__callback__params__t_1abac771f244791efe23d4964a40bbf8c8" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_syspm_callback_params_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
<para>Context for the handler function. </para>        </briefdescription>
        <detaileddescription>
<para>This item can be skipped if not required. Can be undefined if not required. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1739" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1739" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The structure contains syspm callback parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1742" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1734" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1735" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__syspm__callback__params__t_1a56076e99358e2b7c99681312108b09af" virt="non-virtual"><scope>cy_stc_syspm_callback_params_t</scope><name>base</name></member>
      <member prot="public" refid="structcy__stc__syspm__callback__params__t_1abac771f244791efe23d4964a40bbf8c8" virt="non-virtual"><scope>cy_stc_syspm_callback_params_t</scope><name>context</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>